<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package feminine-lite
 */
 
/**
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 */
function feminine_lite_pingback_header() {
	
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'feminine_lite_pingback_header' );

/**
 * Slider settings
 */
function feminine_lite_slider_config() {
	
	if ( get_theme_mod('feminine_lite_featured_slider', 0) == 1) {
	
		get_template_part('template-parts/featured', 'slider'); 

	}
}
add_action('feminine_lite_slider_1','feminine_lite_slider_config',20);

/**
 * Display the first (single) category of post.
 */
if ( ! function_exists( 'feminine_lite_first_category' ) ) :
	function feminine_lite_first_category() {
		
		$category 		= get_the_category();
		if ($category) {
		  echo '<a href="' . esc_url(get_category_link( $category[0]->term_id ) ) . '">' . esc_html( $category[0]->name ) . '</a>';
		}
		
	}
endif;

/**
 * Fallback callback for primary navigation menu.
 */
if ( ! function_exists( 'feminine_lite_navigation_fallback' ) ) {

    function feminine_lite_navigation_fallback() {
        ?>
        <ul class="topbar-menu pull-left">
            <?php 
            wp_list_pages( array( 
                'title_li' => '', 
                'depth' => 4,
            ) ); 
            ?>
        </ul><!-- .primary-menu -->
        <?php    
    }
}

/**
 * Scroll to top
 */
function feminine_lite_scroll_to_top() {
	
	if (get_theme_mod('button_up', 0) == 0){
		
?>
	<div id="backtotop">
		<span><?php esc_html_e('Back to top', 'feminine-lite'); ?></span>
	</div>
	
<?php
}}
add_action('wp_footer', 'feminine_lite_scroll_to_top');