<?php
/**
 * The template for displaying search results pages.
 *
 * @package feminine-lite
 */
 
get_header(); ?>

<div class="row">

	<div id="primary" class="col-md-8 site-main">
		
			<header class="page-header">
				<span><?php printf( 
				/* translators: %s: for the search keyword */
				esc_html__( 'Search results for: %s', 'feminine-lite' ), '</span><h3 class="archive-title">' . esc_attr( get_search_query() ) . '</h3>' ); ?>
			</header><!-- .page-header -->

			<?php if ( have_posts() ) : ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php $sticky_class = ( is_sticky() ) ? 'vt-post-sticky' : null; ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					  <div class="post-inner">
						
						  <?php if ( has_post_thumbnail() ) : ?>
							<div class="feminine-thumbnail">
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
									<?php the_post_thumbnail(); ?>
									<span class="feminine-format-icon"></span>
								</a>
							</div>
						  <?php endif; ?>
										
							<div class="entry-content">
								<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title_attribute(); ?></a></h2>

								<div class="post-meta">
									<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
										<?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?>
										<span class="by"><?php esc_html_e( 'by', 'feminine-lite' ); ?></span>
										<?php the_author(); ?>
									</a>
									<span class="separator">/</span>
									<?php feminine_lite_posted_on() ?>
								</div>

								<div class="entry-summary">
									<?php the_excerpt(); ?>
								</div>
								
								<?php get_template_part('template-parts/entry', 'footer'); ?>
								
							</div><!-- entry-content -->
							
					  </div><!-- post-inner -->
							
					</article><!-- #post-## -->

				<?php endwhile; ?>

				<?php the_posts_pagination(); ?>

			<?php else : ?>

				<?php get_template_part( 'content', 'none' ); ?>

			<?php endif; ?>
		
	</div><!-- site-main -->

<?php get_sidebar(); ?>      
<?php get_footer(); ?>